/* ----------------------------------------------------------------
	Custom CSS

	Add all your Custom Styled CSS here for New Styles or
	Overwriting Default Theme Styles for Better Handling Updates
-----------------------------------------------------------------*/

/*********************
** 記事 post
*********************/

#post-wrapper {
  padding: 50px 0;
  background-image: url(../images/bg.png);
}

.blog-main {
  margin-bottom: 35px;
  background: #ffffff;
  border-radius: 10px;
  filter: drop-shadow(0px 2px 3px rgba(0, 0, 0, 0.4));
}

article {}

.post-header h1 {
  padding: 5px 0 5px 15px;
  margin-bottom: 0;
  border-radius: 10px 10px 0 0;
  background: #FFE975;
  font-size: 2em;
}

/*********************
** 記事メタ情報 blog-post-meta
*********************/

.post-header .blog-post-meta {
  padding: 10px 15px;
  margin-bottom: 0;
  font-size: .9em;
  text-align: right;
}

.blog-post-meta p, .blog-post-meta ul {
  margin-bottom: 0;
}

/* 記事：カテゴリー */

.post-categories {
  float: right;
  display: grid;
  padding: 0 0 0 20px;
  grid-auto-flow: column;
  grid-column-gap: 10px;
  column-gap: 10px;
  justify-content: start;
  list-style-type: none;
}

.post-categories a {
  padding: 3px 10px;
  border-radius: 10px;
  background-color: #1b5e92;
  color: #ffffff;
  font-size: var(--f6);
}

/* 記事：投稿日 */

.blog-post-meta time {
  display: block;
  text-align: right;
  color: #444444;
}

.blog-post-meta time i {
  padding-right: 5px;
}

/*********************
** 記事本文 blog-body
*********************/

.post-body {
  padding: 0px 15px 30px;
  font-size: 1.2em;
}

.post-body figure {
  margin: 1rem 0 2rem;
}

.post-body img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  border-radius: 10px;
}

/*********************
** 記事フッター blog-body
*********************/

/* スクリーンリーダー用のテキスト */

.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important;
}

/* 記事：前後の記事へのリンク */

.post-navigation .nav-links {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 30px;
  column-gap: 30px;
  padding: 40px 15px;
  border-top: 1px solid #dddddd;
  font-size: var(--f6);
}

.post-navigation .nav-previous {
  grid-column: 1;
}

.post-navigation .nav-next {
  grid-column: 2;
}

.post-navigation .nav-previous a, .post-navigation .nav-next a {
  display: grid;
  grid-auto-flow: column;
  grid-column-gap: 10px;
  column-gap: 10px;
  align-items: center;
  justify-content: start;
}

.post-navigation .nav-next a {
  text-align: right;
  justify-content: end;
}

.post-navigation .nav-previous a::before {
  content: '\f137';
  font-family: 'Font Awesome 5 Free';
  font-weight: bold;
  color: #444444;
}

.post-navigation .nav-next a::after {
  content: '\f138';
  font-family: 'Font Awesome 5 Free';
  font-weight: bold;
  color: #444444;
}


/*********************
** サイドバー(ウィジェット) blog-sidebar
*********************/

.widget {
  background: #fff;
  border-radius: 10px;
  filter: drop-shadow(0px 2px 3px rgba(0, 0, 0, 0.4));
}

.widget h2 {
  padding: 5px 0 5px 15px;
  margin-bottom: 0;
  border-radius: 10px 10px 0 0;
  background: #FFE975;
  font-size: 1.1em;
}

.widget ul {
  padding: 10px;
}

.widget ul li {
  padding: 10px;
  line-height: 1.2;
  border-bottom: 1px solid #ccc;
}

.widget ul li:last-child {
  padding-bottom: 5px;
  border-bottom: none;
}

.widget ul li a {
  padding: 0;
}

.widget ul li .post-date {
  padding: 0 3px 0 12px;
  font-size: 12px;
}

.widget_archive select {
  margin: 10px 20px;
  padding: 5px;
}

/* search-box */
#search-box {
  filter: drop-shadow(0px 2px 3px rgba(0, 0, 0, 0.4));
}

.btn-warning {
  margin-top: 1px;
  color: #212529;
  background-color: #FFE975;
  border-color: #FFE975;
  border-radius: 0 0.2rem 0.2rem 0;
}
